# $Id: sylpheed.spec,v 1.10 2002/09/18 08:19:11 dude Exp $

Summary: A full-featured GTK+ based fast e-mail client.
Name: sylpheed
Version: 0.8.3
Release: fr1
License: GPL
Group: Applications/Internet
Source0: http://sylpheed.good-day.net/sylpheed/%{name}-%{version}.tar.bz2
URL: http://sylpheed.good-day.net/
Buildroot: %{_tmppath}/%{name}-root
Requires: gtk+ >= 1.2.6, gdk-pixbuf >= 0.8.0
Requires: openssl >= 0.9.6, gpgme >= 0.2.2
BuildRequires: gtk+-devel >= 1.2.6, gdk-pixbuf-devel >= 0.8.0
BuildRequires: openssl-devel >= 0.9.6, gpgme-devel >= 0.2.2, flex

%description
Sylpheed is an e-mail client (and news reader) based on GTK+, running on
X Window System, and aiming for quick responses, a graceful and
sophisticated interface, easy configuration, intuitive operation and
abundant features.
The appearance and interface are similar to some popular e-mail clients for
Windows, such as Outlook Express, Becky!, and Datula. The interface is also
designed to emulate the mailers on Emacsen, and almost all commands are
accessible with the keyboard.

%prep
%setup -q

%build
%configure \
	--program-prefix=%{?_program_prefix:%{_program_prefix}} \
	--enable-gpgme \
	--enable-ssl \
	--enable-ipv6
make %{?_smp_mflags:%{_smp_mflags}}

%install
rm -rf %{buildroot}
%makeinstall
%find_lang %{name}
install -D -m644 sylpheed-64x64.png %{buildroot}%{_datadir}/pixmaps/%{name}.png
install -D -m644 sylpheed.desktop %{buildroot}/etc/X11/applnk/Internet/%{name}.desktop

%clean
rm -rf %{buildroot}

%files -f  %{name}.lang
%defattr(-, root, root)
%doc AUTHORS ChangeLog* COPYING README* TODO*
/etc/X11/applnk/Internet/%{name}.desktop
%{_bindir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/%{name}

%changelog
* Wed Sep 18 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.8.3.

* Tue Aug 27 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.8.2.

* Thu Jul 25 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.8.1.

* Tue Jul 16 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.8.0.
- Changed the pixmap from the 48x48 to the 64x64 instead.

* Thu Jul 11 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Added program prefix to configure to fix build on YDL.

* Mon Jun 17 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.7.8.

* Mon Jun 10 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.7.7.

* Mon May 13 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.7.6.
- Use %%find_lang.
- Replaced icon with the new one.

* Thu May  2 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt against Red Hat Linux 7.3.
- Added the %%{?_smp_mflags} expansion.

* Mon Apr 22 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.7.5.

* Thu Mar 14 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.7.4.

* Sat Feb 16 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.7.2.

* Mon Feb 11 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.7.1.

* Mon Jan  7 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.7.0.

* Mon Dec 17 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.6.6.

* Wed Nov  7 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.6.5.

* Mon Oct 22 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.6.4.

* Mon Oct  8 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.6.3.

* Mon Sep 17 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.6.2.

* Sun Sep  2 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.6.1.

* Thu Aug 30 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.6.0.

* Tue Aug 14 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.5.3.

* Wed Aug  1 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.5.2.

* Thu Jul  5 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.5.1 (previous 0.5preX wouldn't build).

* Tue Jun 19 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.4.99.

* Tue May  8 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.4.66.

* Tue May  1 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.4.65.

* Tue Apr 17 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.4.64.

* Tue Apr 10 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.4.63.

* Sat Feb  3 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.4.62.

* Sat Feb  3 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- General spec rewrite and rpm built for RedHat 7.0

* Sat Feb 3 2001 Yoichi Imai <yoichi@silver-forest.com>
- update to 0.4.61

* Sat Jan 1 2000 Yoichi Imai <yoichi@silver-forest.com>
- first release for version 0.1.0

